Package ru.bitel.bgbilling.modules.bill.client.bean

# Class XMLTreePanel.XMLTreeModel

java.lang.Object
ru.bitel.bgbilling.modules.bill.client.bean.XMLTreePanel.XMLTreeModel

All Implemented Interfaces:
  `javax.swing.tree.TreeModel`

Enclosing class:
  XMLTreePanel

    public class XMLTreePanel.XMLTreeModel
    extends java.lang.Object
    implements javax.swing.tree.TreeModel

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `XMLTreeModel()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addTreeModelListener​(javax.swing.event.TreeModelListener listener)` |
  `java.lang.Object` | `getChild​(java.lang.Object parent, int index)` |
  `int` | `getChildCount​(java.lang.Object parent)` |
  `org.w3c.dom.Document` | `getDocument()` |
  `int` | `getIndexOfChild​(java.lang.Object parent, java.lang.Object child)` |
  `java.lang.Object` | `getRoot()` |
  `boolean` | `isLeaf​(java.lang.Object node)` |
  `void` | `removeTreeModelListener​(javax.swing.event.TreeModelListener listener)` |
  `void` | `setDocument​(org.w3c.dom.Document document)` |
  `void` | `valueForPathChanged​(javax.swing.tree.TreePath path, java.lang.Object newValue)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XMLTreeModel

    public XMLTreeModel()

- ## Method Details

  - ### getDocument

    public org.w3c.dom.Document getDocument()

  - ### setDocument

    public void setDocument​(org.w3c.dom.Document document)

  - ### addTreeModelListener

    public void addTreeModelListener​(javax.swing.event.TreeModelListener listener)
    Specified by:
      `addTreeModelListener` in interface `javax.swing.tree.TreeModel`

  - ### removeTreeModelListener

    public void removeTreeModelListener​(javax.swing.event.TreeModelListener listener)
    Specified by:
      `removeTreeModelListener` in interface `javax.swing.tree.TreeModel`

  - ### getChild

    public java.lang.Object getChild​(java.lang.Object parent, int index)
    Specified by:
      `getChild` in interface `javax.swing.tree.TreeModel`

  - ### getChildCount

    public int getChildCount​(java.lang.Object parent)
    Specified by:
      `getChildCount` in interface `javax.swing.tree.TreeModel`

  - ### getIndexOfChild

    public int getIndexOfChild​(java.lang.Object parent, java.lang.Object child)
    Specified by:
      `getIndexOfChild` in interface `javax.swing.tree.TreeModel`

  - ### getRoot

    public java.lang.Object getRoot()
    Specified by:
      `getRoot` in interface `javax.swing.tree.TreeModel`

  - ### isLeaf

    public boolean isLeaf​(java.lang.Object node)
    Specified by:
      `isLeaf` in interface `javax.swing.tree.TreeModel`

  - ### valueForPathChanged

    public void valueForPathChanged​(javax.swing.tree.TreePath path, java.lang.Object newValue)
    Specified by:
      `valueForPathChanged` in interface `javax.swing.tree.TreeModel`